Skip to content

Midjourney Modal ​

Call when a task needs an extra prompt (e.g. status ) or inpainting.

http
POST /mj/submit/modal

Request headers ​

NameTypeRequiredDescription
stringYesBearer token, e.g.
stringYes

Request body ​

NameTypeRequiredDescription
stringYesTask ID
stringNoExtra prompt; usually required
stringNoInpaint mask Base64

Request example ​

bash
curl -X POST https://octopusx.ai/mj/submit/modal \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "taskId": "14001934816969359",
    "prompt": "Cat"
  }'

Response example ​

json
{
  "code": 1,
  "description": "Submit success",
  "result": "1712158011464908"
}

Response fields ​

NameTypeDescription
integer ok, otherwise error
stringStatus text
stringTask ID